=== debian/changelog ===
hubble (0.12.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:43:46 +0200

hubble (0.12.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.12.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 16:21:30 +0200

hubble (0.11.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.6

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Jun 2023 15:30:07 +0200

hubble (0.11.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.5

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 May 2023 14:24:03 +0200

hubble (0.11.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.4

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 14:11:00 +0200

hubble (0.11.3-0kali2) kali-dev; urgency=medium

  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Add documentation
  * Fix build-dep

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Apr 2023 11:25:44 +0200

hubble (0.11.3-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Apr 2023 16:16:16 +0200
