=== debian/control ===
Source: hubble
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
		       bash-completion,
		       ca-certificates,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-google-go-cmp-dev,
		       golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/cilium/hubble
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cilium/hubble

Package: hubble
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Network, Service & Security Observability for Kubernetes using eBPF (program)
 Hubble is a fully distributed networking and security observability
 platform for cloud native workloads. It is built on top of Cilium
 (https://github.com/cilium/cilium) and eBPF (https://ebpf.io) to enable
 deep visibility into the communication and behavior of services as well
 as the networking infrastructure in a completely transparent manner.
