## hubble 1.17.5

=== debian/changelog ===
hubble (1.17.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.5
  * Bump Standards-Version to 4.7.2 (no change)
  * Add missing Static-Built-Using

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 24 Jun 2025 15:20:32 +0200

hubble (1.17.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 16:33:54 +0200

hubble (1.17.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Apr 2025 17:19:33 +0200

hubble (1.17.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.17.1
  * debian/rules: Fix installation

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 15:36:30 +0200

hubble (1.16.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.6

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 13:25:59 +0100

hubble (1.16.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.5

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jan 2025 17:23:37 +0100

hubble (1.16.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.2
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Oct 2024 17:32:14 +0200

hubble (1.16.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Sep 2024 16:22:07 +0200

hubble (1.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.16.0
  * Update debian/rules for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Aug 2024 11:36:38 +0200

hubble (0.13.4-0kali1) kali-dev; urgency=medium

  * Update debian/watch (do not consider pre release)
  * New upstream version 0.13.4
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 May 2024 15:16:37 +0200

hubble (0.13.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.2

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Mar 2024 16:25:53 +0100

hubble (0.13.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.0
  * Update d/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 15:34:02 +0100

hubble (0.12.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.12.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Dec 2023 14:13:16 +0100

hubble (0.12.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.12.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Oct 2023 16:58:49 +0200
