=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hubble
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-		       bash-completion,
-		       ca-certificates,
+	       bash-completion,
+	       ca-certificates,
                golang-any,
                golang-github-fatih-color-dev,
                golang-github-google-go-cmp-dev,
-		       golang-github-sirupsen-logrus-dev,
+	       golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
@@ -20,7 +20,9 @@
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/hubble
+Vcs-Git: https://gitlab.com/kalilinux/packages/hubble.git
 Homepage: https://github.com/cilium/hubble
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/hubble
@@ -30,6 +32,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Network, Service & Security Observability for Kubernetes using eBPF (program)
  Hubble is a fully distributed networking and security observability
  platform for cloud native workloads. It is built on top of Cilium
