=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,15 @@
 
 override_dh_dwz:
 
-execute_before_dh_auto_test:
-	cp cmd/observe_help.txt _build/src/github.com/cilium/hubble/cmd/observe_help.txt
-
 override_dh_installdocs:
 	dh_installdocs
 	mkdir -p debian/hubble/usr/share/doc/hubble/grpc
 	cp vendor/google.golang.org/grpc/NOTICE.txt debian/hubble/usr/share/doc/hubble/grpc
-	mkdir -p debian/hubble/usr/share/doc/hubble/yaml.v2
-	cp vendor/gopkg.in/yaml.v2/NOTICE debian/hubble/usr/share/doc/hubble/yaml.v2
 	mkdir -p debian/hubble/usr/share/doc/hubble/yaml.v3
 	cp vendor/gopkg.in/yaml.v3/NOTICE debian/hubble/usr/share/doc/hubble/yaml.v3
+
+execute_before_dh_auto_build:
+	cp vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb _build/src/github.com/cilium/hubble/vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
+	cp -r vendor/github.com/go-openapi/spec/schemas _build/src/github.com/cilium/hubble/vendor/github.com/go-openapi/spec/
+	mkdir -p _build/src/github.com/cilium/cilium/pkg/metrics
+	cp -r vendor/github.com/cilium/cilium/pkg/metrics _build/src/github.com/cilium/hubble/vendor/github.com/cilium/cilium/pkg/
