=== debian/changelog ===
hubble (1.18.0-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 1.18.0

 -- Sophie Brun <sophie@kali.org>  Tue, 12 Aug 2025 15:18:16 +0200
