=== debian/rules ===
--- 
+++ 
@@ -28,5 +28,5 @@
 execute_before_dh_auto_build:
 	cp vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb _build/src/github.com/cilium/hubble/vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
 	cp -r vendor/github.com/go-openapi/spec/schemas _build/src/github.com/cilium/hubble/vendor/github.com/go-openapi/spec/
-	mkdir -p _build/src/github.com/cilium/cilium/pkg/metrics
-	cp -r vendor/github.com/cilium/cilium/pkg/metrics _build/src/github.com/cilium/hubble/vendor/github.com/cilium/cilium/pkg/
+	mkdir -p _build/src/github.com/cilium/hubble/vendor/github.com/google/cel-go/cel/templates/
+	cp vendor/github.com/google/cel-go/cel/templates/authoring.tmpl _build/src/github.com/cilium/hubble/vendor/github.com/google/cel-go/cel/templates/
