=== debian/tests/control ===
Test-Command: hubble help
Restrictions: allow-stderr, superficial
