## hubble 1.18.5

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 TEST_TIMEOUT ?= 5s
 
 # renovate: datasource=docker depName=library/golang
-GOLANG_IMAGE_VERSION = 1.24.5-alpine
-GOLANG_IMAGE_SHA = sha256:daae04ebad0c21149979cd8e9db38f565ecefd8547cf4a591240dc1972cf1399
+GOLANG_IMAGE_VERSION = 1.25.5-alpine
+GOLANG_IMAGE_SHA = sha256:ac09a5f469f307e5da71e766b0bd59c9c49ea460a528cc3e6686513d64a6f1fb
 
 # Add the ability to override variables
 -include Makefile.override
