=== debian/changelog ===
hubble (1.18.5-0parrot1) echo; urgency=medium

  * Import release 1.18.5

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 18 Jan 2026 05:27:02 +0100
