=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hubble
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-	       bash-completion,
-	       ca-certificates,
+		       bash-completion,
+		       ca-certificates,
                golang-any,
                golang-github-fatih-color-dev,
                golang-github-google-go-cmp-dev,
-	       golang-github-sirupsen-logrus-dev,
+	    	   golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
@@ -21,10 +21,7 @@
                golang-google-protobuf-dev,
                golang-yaml.v2-dev
 Standards-Version: 4.7.2
-Vcs-Browser: https://gitlab.com/kalilinux/packages/hubble
-Vcs-Git: https://gitlab.com/kalilinux/packages/hubble.git
 Homepage: https://github.com/cilium/hubble
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/hubble
 
 Package: hubble
